Advanced IRC - Welcome

Advanced IRC Help
Welcome
Hello, and welcome to the Advanced IRC help system.

Here, you can find...
* ...Help for every portion of Advanced IRC
* ...RFC Documents for developers
* ...Servers for common IRC networks (not yet)

...and more.


Advanced IRC - Main window

Main window
The main window looks like below:

Description:

Advanced IRC uses MDI (Multiple Document Interface). It means that the main window contains child windows, as you can see on the image above. It has a toolbar and a menubar on the top, an IRC status bar on the bottom and a window list on the right.

Toolbar buttons:

Connect to server specified in the options dialog.
Display server drop-down list for connecting to.
Create new status window.
Create new status window and connect to server specified in the options dialog.
Show option dialog.
Show script window.
Show URL list.
Show DCC transfers list.
Show remote control dialog.
Show about box.


Advanced IRC - Scripts window

Scripts window
The script window looks like below:

Description:

The script window contains a list of all the scripts currently loaded. There are 5 buttons at the bottom of the window: "Load dir", "Unload all", "Add script", "Unload script" and "Close".

You can right-click a script in the list to either edit or reload it. Selecting "edit" will start Notepad and pop up a dialog box asking you if you want to reload the script.

Note: if loading a script gives you an error, there was an error parsing the script. Check the script for errors and then try again.

Load dir | Prompts to load all scripts in the program directory.
Unload all | Prompts to unload all currently loaded scripts.
Add script | Displays a dialog box in which you can select a script to load.
Unload script | Prompts to unload the selected script.
Close | Closes the script window.


Advanced IRC - URL list

URL list
The URL list window looks like below:

Description:

The URL list window displays all logged URLs. You may double click on an URL to open it with the default browser.


Advanced IRC - DCC transfers

DCC transfer
The DCC transfer window looks like below:

Description:

The DCC transfer window displays all current DCC transfer windows. You can double-click a transfer to open it's DCC window.


Advanced IRC - Keyboard shortcuts

Keyboard shortcuts
Description:

There are some keyboard shortcuts for Advanced IRC which is described in this help file. The table below gives information on every shortcut available.

Function key shortcuts:

F1 | Displays this help file.
F2 | Connects active server window to last used server.
F3 | Creates a new server window.
F4 | Connects a new server window to last used server.
F5 | Repaints LogBox2 window.
F6 | Opens browser with about:blank.
F7 | Visits last typed-in URL.
F8 | Shows URL list window.
F9 | Shows scripts window.
F10 | Displays options/connect dialog.
F11 | Triggers autojoin for active server.
F12 | Enable/disable eCrypt outgoing cryptation.

CTRL shortcuts:

Ctrl+K | Inserts color control code at current cursor position.
Ctrl+B | Inserts bold control code at current cursor position.
Ctrl+U | Inserts underline control code at current cursor position.
Ctrl+R | Inserts reverse control code at current cursor position (No LogBox2 support).
Ctrl+O | Displays options/connect dialog.

ALT shortcuts:

Alt+0-9, Q-P Switch to window number (0-9 handles 1-10, Q-P handles 11-20)

Other shortcuts:

TAB | Complete channel or nick name.
Arrow up/down | Scroll through typed-in history log.


Advanced IRC - Options/Connect

Options window - Connect tab
This is the contents of the Connect tab:

Use server | Server name (field 1) and port (field 2) to use when connecting.
Nick | Nickname to use when connecting.
Altnick | Alternative nickname to use, if first nickname is taken.
Ident | Ident name to use when connecting.
Name | Realname to use when connecting. This will show up in your whois information.
Ident server | Check this box to run a temporary ident server on port 113 when connecting. Removes the tilde (~) from your ident.
Connect | This button is not enabled until all the fields are filled out and no connection is made.
Delete server | Deletes the active server from the server list.
Show this window... | Pop up this dialog box on new connect/startup.
Auto connect... | Automatically connect to specified server on new connect/startup.


Advanced IRC - Options/Cloaking

Options window - Cloaking tab
This is the contents of the Cloaking tab:

Select CTCP | Select CTCP type to adjust cloak settings for.
Hide request | Hide local echo of CTCP request.
Normal reply | Default. Reply client with normal CTCP reply.
Send 'unavailable' | Act as client hasn't got any support for this type of CTCP.
Ignore request | Completely ignore CTCP request without replying to the client.
Custom response | Send a custom reply message specified in the text box.


Advanced IRC - Options/DCC

Options window - DCC tab
This is the contents of the DCC tab:

Download folder | This is where received files are placed.
Protect against... | Automatically reject files with extensions ending with SHS, VBS and BAT.
Temporary DCC... | Turn on temporary DCC ignore when joining a channel in 10 seconds (useful for onjoin dcc's)
Automatically accept... | Automatically accept all files not stopped by any protection or ignore (Note: DCC windows will be closed!)
Ignore filetypes | File masks to ignore (? = any character, * = wildcard, # = any number) separated by a semicolon (;).
Pump DCC | May improve the speed on outgoing DCC transfers, but not guaranteed.
DCC transfer buffer | How many bytes to fill the DCC buffer with before sending.
Use passive DCC... | Initiate DCC requests using the passive DCC protocol (mIRC compatible). Useful for people behind firewalls.
Use only this... | Ports to use for DCC requests (format: STARTPORT[-ENDPORT]) separated by whitespace.
If available, use UDP... | Try to use the UDP protocol instead of TCP/IP (not available yet)


Advanced IRC - Options/IP

Options window - IP tab
This is the contents of the IP tab:

Use IP | Custom IP to send when initiating DCC. For firewall/proxy users, this is the IP of the firewall or proxy.
Fetch IP on connect | For people with a direct connection to the Internet, check this box.
Fetch local | On connect, use local IP specified in the network settings (LAN IP).
Fetch from server | On connect, use IP sent from IRC server (Internet IP).


Advanced IRC - Options/Away

Options window - Away tab
This is the contents of the Away tab:

Enable autoaway | Enables automatic away when client is idle in the given number of minutes in field 1.
Cancel auto-away... | Automatically turns off away when a new message is sent out, but only if it was set automatically.
Away-msg | Away message to use when going automatially away.
Cancel normal away... | Automatically turns off away when a new message is sent out, regardless of how it was set.


Advanced IRC - Options/Logging

Options window - Logging tab
This is the contents of the Logging tab:

Enable logging | Turns all logging on or off.
Log to folder | Where all logs are placed.
Log status | Log the text in all status windows.
Log channels | Log the text in all channel windows.
Log private | Log the text in all private windows.
Log DCC chats | Log the text in all DCC chat windows.

Note: control codes is always stripped from the log files.


Advanced IRC - Options/Display

Options window - Display tab
This is the contents of the Display tab:

Timestamp format | How to prefix all messages, leave blank for none.
Strip control codes | Turn all control code stripping on or off.
Strip color codes | Check this option if you want to strip away all color codes.
Strip bold codes | Check this option if you want to strip away all bold codes.
Strip underline codes | Check this option if you want to strip away all underline codes.
Strip all codes | Check this option if you want to strip away all control codes.
Flash window on new... | Whether or not to activate the Advanced IRC main window on any new messages.
Flash window on any... | Whether or not to activate the Advanced IRC main window on any activity.
Color window on... | Whether or not to set the color for window text in the WList on activity.
Show channel nicklist | If this option is checked, a list with all the nicknames in a channel will be shown in all channel windows.


Advanced IRC - Options/Colors

Options window - Colors tab
This is the contents of the Colors tab:

The box in the upper left corner is a box where you can click on the different text strings and the background to select colors for the specific events. E.g. click on the "Join text" to choose a color for any join events, or click on the background to select a standard background color for all windows.

The white box on the right side is just a font preview box.

Choose font | Open a font selection dialog box. This font will be used in all windows.
Reset | Reset every setting on this page to default. (Note: this will destroy all color settings!)
URL color | Click on the box to select a color to display all catched URL's in.
Standard color | You may select a new standard color to suit your color needs.
Secondary color | You may select a new secondary color to suit your color needs.
Brand color | You may select a new brand color to suit your color needs. [a] -- The 'a' in the middle has the brand color.
Interpret color codes... | Use the mIRC standard colors instead of the ones described in the RFC.
Save | Save color and font settings in a separate file.
Load | Load color and font settings from a separate file.
Import from mIRC | Import color settings from a mIRC v5.91 configuration file.


Advanced IRC - Generic 1001

Generic error 1001: "Script error: cannot start sub 'airc_init', aborting..."
Cause:

There was an error parsing the script.

Possible solutions:

* Check if the function "airc_init(ChName, ChFunc)" exists. If it doesn't exist, create it. You may want to read the script tutorial on information how to create scripts for Advanced IRC.
* Check the script for code and typing errors.